# Delete alarm - DelUHostSecWarnings

## Overview

Delete alarm



 > ℹ️ Delete the alarm information of the security event, close the display of this alarm record from the interface display. If the security event still exists, it will trigger an alarm if it is rechecked or found in the next inspection, and it will be displayed on the interface again.


## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DelUHostSecWarnings`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.ckcloudai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list) |**Yes**|
| **Data** | string | List to delete alarms (value is a base64 encoded string of the following fields in json format: {"Data":[{"WarnType":"WebShellAlarm","ID":"59e870483ef9f419617b7744"},{"WarnType":"checkCockhorse","ID":"59f67a26812c307b65d72e99"}]}) WarnType types: WebShellAlarm, checkCockhorse, BaseCheck, webRisk, VulCheck2, AbnormalLogin, SshBruteSucceeded |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.ckcloudai.com/?Action=DelUHostSecWarnings
&ProjectId=fSDNYbYe
&Data=FVOgPWEt
```

### Response Example
    
```json
{
  "Action": "DelUHostSecWarningsResponse",
  "RetCode": 0
}
```





